public class Rukovodilac extends Radnik {

	private int brPodredjenih;
	private static final double dodatak = 1000.0;
	
	public Rukovodilac(String ime, int radniStaz, int brPodredjenih) {
		super(ime, radniStaz);
		this.brPodredjenih = brPodredjenih;
	}
	
	public double plata() {
		return super.plata() + dodatak * brPodredjenih;
	}
	
	public int getBrPodredjenih() {
		return brPodredjenih;
	}
	
	public String toString() {
		return "Rukovodilac " + super.toString();
	}
}
