public class Student {

	private int id;
	private String ime;
	private double prosek;
	private String departman;
	
	private static int idCounter = 0;
	private static final double odlicanProsek = 9.5;
	
	public Student(String ime, double prosek, String departman) {
		id = ++idCounter;
		
		this.ime = ime;
		this.prosek = prosek;
		this.departman = departman;
	}
	
	public String toString() {
		return id + ": " + ime + "(" + prosek + ") -- " + departman;
	}
	
	public int getId()           { return id;        }
	public String getIme()       { return ime;       }
	public double getProsek()    { return prosek;    }
	public String getDepartman() { return departman; }
	
	public boolean dobijaNagradu() {
		return prosek >= odlicanProsek;
	}
}
