public class Automobil extends PolovnoVozilo {
	
	private int brojVrata;
	
	public Automobil(int godiste, int brojVrata) {
		super(godiste);
		this.brojVrata = brojVrata;
	}
	
	public int preporucenaCena() {
		int cena = baznaCena();
		if (brojVrata <= 3) {
			cena = Math.round(0.95f * cena);
		}
		return cena;
	}
	
	public String toString() {
		return super.toString() + " Tip polovnog vozila: Automobil. Broj vrata: " + brojVrata;
	}
}
