import java.util.Calendar;

public abstract class PolovnoVozilo {
	
	private int godiste;
	
	public PolovnoVozilo(int godiste) {
		this.godiste = godiste;
	}
	
	public String toString() {
		return "Polovno vozilo godista " + godiste + ".";
	}
	
	protected int baznaCena() {
		int starostVozila = Calendar.getInstance().get(Calendar.YEAR) - godiste;
		return (20 - Math.min(starostVozila, 19)) * 500;
	}
	
	public abstract int preporucenaCena();
}
