import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class Program {

	public static void main(String[] args) throws IOException {
		BufferedReader reader = new BufferedReader(new FileReader("vozila.txt"));
		String linija = reader.readLine();
		while (linija != null) {
			PolovnoVozilo polovnoVozilo = null;
			String[] vrednosti = linija.split(",");
			String tipVozila = vrednosti[0].trim();
			int godiste = Integer.parseInt(vrednosti[1].trim());
			if (tipVozila.equals("a")) {
				int brojVrata = Integer.parseInt(vrednosti[2].trim());
				polovnoVozilo = new Automobil(godiste, brojVrata);
			} else if (tipVozila.equals("k")) {
				int brojSedista = Integer.parseInt(vrednosti[2].trim());
				polovnoVozilo = new Kombi(godiste, brojSedista);
			}
			if (polovnoVozilo != null) {
				System.out.println(polovnoVozilo + " Preporucena cena: " + polovnoVozilo.preporucenaCena());
			} else {
				System.out.println("Format vozila u fajlu nije ispravan. (" + linija + ")");
			}
			linija = reader.readLine();
		}
		reader.close();
	}
}
