
public class Kurs {

	private String jezik;
	private String nivo;
	private int brojPolaznika;

	public Kurs(String jezik, String nivo, int brojPolaznika) {
		this.jezik = jezik;
		setNivo(nivo);
		setBrojPolaznika(brojPolaznika);
	}

	public String getJezik() {
		return jezik;
	}

	public void setJezik(String jezik) {
		this.jezik = jezik;
	}

	public String getNivo() {
		return nivo;
	}

	public void setNivo(String nivo) {
		if (nivo.equals("osnovni") || nivo.equals("srednji") || nivo.equals("napredni")) {
			this.nivo = nivo;
		} else {
			this.nivo = "osnovni";
		}
	}

	public int getBrojPolaznika() {
		return brojPolaznika;
	}

	public void setBrojPolaznika(int brojPolaznika) {
		if (brojPolaznika < 0) {
			this.brojPolaznika = 0;
		} else {
			this.brojPolaznika = brojPolaznika;
		}
	}
	
	@Override
	public String toString() {
		return jezik + " jezik, " + nivo + " nivo, broj polaznika: " + brojPolaznika;
	}

}
